summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/quilt
diff options
context:
space:
mode:
authorRichard Purdie <rpurdie@linux.intel.com>2010-08-27 15:14:24 +0100
committerRichard Purdie <rpurdie@linux.intel.com>2010-08-27 15:29:45 +0100
commit29d6678fd546377459ef75cf54abeef5b969b5cf (patch)
tree8edd65790e37a00d01c3f203f773fe4b5012db18 /meta/recipes-devtools/quilt
parentda49de6885ee1bc424e70bc02f21f6ab920efb55 (diff)
downloadpoky-29d6678fd546377459ef75cf54abeef5b969b5cf.tar.gz
Major layout change to the packages directory
Having one monolithic packages directory makes it hard to find things and is generally overwhelming. This commit splits it into several logical sections roughly based on function, recipes.txt gives more information about the classifications used. The opportunity is also used to switch from "packages" to "recipes" as used in OpenEmbedded as the term "packages" can be confusing to people and has many different meanings. Not all recipes have been classified yet, this is just a first pass at separating things out. Some packages are moved to meta-extras as they're no longer actively used or maintained. Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
Diffstat (limited to 'meta/recipes-devtools/quilt')
-rw-r--r--meta/recipes-devtools/quilt/quilt-native.inc13
-rw-r--r--meta/recipes-devtools/quilt/quilt-native_0.48.bb4
-rw-r--r--meta/recipes-devtools/quilt/quilt.inc27
-rw-r--r--meta/recipes-devtools/quilt/quilt/aclocal.patch126
-rw-r--r--meta/recipes-devtools/quilt/quilt/install.patch11
-rw-r--r--meta/recipes-devtools/quilt/quilt/non-gnu.patch223
-rw-r--r--meta/recipes-devtools/quilt/quilt_0.48.bb7
7 files changed, 411 insertions, 0 deletions
diff --git a/meta/recipes-devtools/quilt/quilt-native.inc b/meta/recipes-devtools/quilt/quilt-native.inc
new file mode 100644
index 0000000000..7efea0213d
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt-native.inc
@@ -0,0 +1,13 @@
1SRC_URI_append_build-darwin = "? file://non-gnu.patch "
2RDEPENDS_${PN} = "diffstat-native patch-native bzip2-native util-linux-native"
3
4INHIBIT_AUTOTOOLS_DEPS = "1"
5
6inherit native
7
8PATCHTOOL = "patch"
9EXTRA_OECONF = "--disable-nls"
10
11do_configure () {
12 oe_runconf
13}
diff --git a/meta/recipes-devtools/quilt/quilt-native_0.48.bb b/meta/recipes-devtools/quilt/quilt-native_0.48.bb
new file mode 100644
index 0000000000..d1dd57619a
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt-native_0.48.bb
@@ -0,0 +1,4 @@
1require quilt.inc
2require quilt-native.inc
3
4PR = "r0"
diff --git a/meta/recipes-devtools/quilt/quilt.inc b/meta/recipes-devtools/quilt/quilt.inc
new file mode 100644
index 0000000000..e5e0a4feca
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt.inc
@@ -0,0 +1,27 @@
1DESCRIPTION = "Tool to work with series of patches."
2HOMEPAGE = "http://savannah.nongnu.org/projects/quilt/"
3SECTION = "devel"
4LICENSE = "GPLv2"
5LIC_CHKSUM_FILES = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f"
6
7SRC_URI = "http://download.savannah.gnu.org/releases/quilt/quilt-${PV}.tar.gz \
8 file://install.patch"
9
10inherit autotools
11
12PACKAGES += "guards guards-doc"
13FILES_${PN} = "${sysconfdir} ${datadir}/quilt \
14 ${bindir}/quilt ${libdir}/quilt"
15FILES_guards = "${bindir}/guards"
16FILES_${PN}-doc = "${mandir}/man1/quilt.1 ${docdir}/${P}"
17FILES_guards-doc = "${mandir}/man1/guards.1"
18
19# quilt ignores DESTDIR
20do_install () {
21 oe_runmake 'BUILD_ROOT=${D}' install
22 if [ "${BUILD_ARCH}" == "${HOST_ARCH}" ]; then
23 # Dummy quiltrc file for patch.bbclass
24 install -d ${D}${bindir}/
25 touch ${D}${bindir}/quiltrc
26 fi
27}
diff --git a/meta/recipes-devtools/quilt/quilt/aclocal.patch b/meta/recipes-devtools/quilt/quilt/aclocal.patch
new file mode 100644
index 0000000000..15b174c6d8
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt/aclocal.patch
@@ -0,0 +1,126 @@
1Add the aclocal.m4 as acinclude.m4
2
3Index: quilt-0.47/acinclude.m4
4===================================================================
5--- /dev/null 1970-01-01 00:00:00.000000000 +0000
6+++ quilt-0.47/acinclude.m4 2006-10-10 17:05:56.000000000 +0100
7@@ -0,0 +1,119 @@
8+dnl Allow configure to specify a specific binary
9+dnl 1: Environment variable
10+dnl 2: binary name
11+dnl 3: optional list of alternative binary names
12+dnl 4: optional list of additional search directories
13+AC_DEFUN([QUILT_COMPAT_PROG_PATH],[
14+ m4_define([internal_$2_cmd],[esyscmd(ls compat/$2.in 2>/dev/null)])
15+
16+ AC_ARG_WITH($2, AC_HELP_STRING(
17+ [--with-$2], [name of the $2 executable to use]
18+ m4_if(internal_$2_cmd,[],[],[ (use --without-$2
19+ to use an internal mechanism)])),
20+ [
21+ if test x"$withval" = xnone; then
22+ AC_MSG_ERROR([Invalid configure argument. use --without-$2])
23+ fi
24+ if test x"$withval" != xno; then
25+ AC_MSG_CHECKING(for $2)
26+ $1="$withval"
27+ if test -e "$$1"; then
28+ if test ! -f "$$1" -a ! -h "$$1" || test ! -x "$$1"; then
29+ AC_MSG_ERROR([$$1 is not an executable file])
30+ fi
31+ fi
32+ AC_MSG_RESULT([$$1])
33+ if test ! -e "$$1"; then
34+ AC_MSG_WARN([$$1 does not exist])
35+ fi
36+ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
37+ fi
38+ ],[
39+ m4_if([$3],[],[
40+ AC_PATH_PROG($1,$2,,$PATH:$4)
41+ ],[
42+ AC_PATH_PROGS($1,$3,,$PATH:$4)
43+ if test -n "$$1" -a "`expr "$$1" : '.*/\([[^/]]*\)$'`" != "$2"; then
44+ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
45+ fi
46+ ])
47+ m4_if([$4],[],[],[
48+ if test -n "$$1"; then
49+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
50+ for dir in "$4"; do
51+ if test "`dirname $$1`" = "$dir"; then
52+ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
53+ break
54+ fi
55+ done
56+ IFS="$as_save_IFS"
57+ fi
58+ ])
59+ ])
60+ if test -z "$$1"; then
61+ m4_if(internal_$2_cmd,[],[
62+ AC_MSG_ERROR([Please specify the location of $2 with the option '--with-$2'])
63+ ],[
64+ AC_MSG_WARN([Using internal $2 mechanism. Use option '--with-$2' to override])
65+ COMPAT_PROGRAMS="$COMPAT_PROGRAMS $2"
66+ $1=$2
67+ INTERNAL_$1=1
68+ ])
69+ fi
70+ AC_SUBST($1)
71+])
72+
73+dnl Allow configure to specify a specific binary
74+dnl This variant is for optional binaries.
75+dnl 1: Environment variable
76+dnl 2: binary name
77+dnl 3: optional list of alternative binary names
78+dnl 4: optional list of additional search directories
79+AC_DEFUN([QUILT_COMPAT_PROG_PATH_OPT],[
80+ AC_ARG_WITH($2, AC_HELP_STRING(
81+ [--with-$2], [name of the $2 executable to use]),
82+ [
83+ if test x"$withval" != xno; then
84+ AC_MSG_CHECKING(for $2)
85+ $1="$withval"
86+ if test -e "$$1"; then
87+ if test ! -f "$$1" -a ! -h "$$1" || test ! -x "$$1"; then
88+ AC_MSG_ERROR([$$1 is not an executable file])
89+ fi
90+ fi
91+ AC_MSG_RESULT([$$1])
92+ if test ! -e "$$1"; then
93+ AC_MSG_WARN([$$1 does not exist])
94+ fi
95+ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
96+ fi
97+ ],[
98+ m4_if([$3],[],[
99+ AC_PATH_PROG($1,$2,,$PATH:$4)
100+ ],[
101+ AC_PATH_PROGS($1,$3,,$PATH:$4)
102+ if test -n "$$1" -a "`expr "$$1" : '.*/\([[^/]]*\)$'`" != "$2"; then
103+ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
104+ fi
105+ ])
106+ m4_if([$4],[],[],[
107+ if test -n "$$1"; then
108+ as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
109+ for dir in "$4"; do
110+ if test "`dirname $$1`" = "$dir"; then
111+ COMPAT_SYMLINKS="$COMPAT_SYMLINKS $2"
112+ break
113+ fi
114+ done
115+ IFS="$as_save_IFS"
116+ fi
117+ ])
118+ if test -z "$$1"; then
119+ AC_MSG_WARN([$2 not found, some optional functionalities will be missing])
120+ fi
121+ ])
122+ if test -z "$$1"; then
123+ $1=$2
124+ fi
125+ AC_SUBST($1)
126+])
diff --git a/meta/recipes-devtools/quilt/quilt/install.patch b/meta/recipes-devtools/quilt/quilt/install.patch
new file mode 100644
index 0000000000..0b1e58d021
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt/install.patch
@@ -0,0 +1,11 @@
1--- quilt-0.47/Makefile.in 2008-12-31 19:09:13.000000000 +0000
2+++ quilt-0.47/Makefile.in.orig 2008-08-21 13:21:32.000000000 +0100
3@@ -13,7 +13,7 @@
4 mandir := @mandir@
5 localedir := $(datadir)/locale
6 emacsdir := $(datadir)/emacs/site-lisp
7-etcdir := $(subst /usr/etc,/etc,$(prefix)/etc)
8+etcdir := @sysconfdir@
9
10 INSTALL := @INSTALL@
11 POD2MAN := @POD2MAN@
diff --git a/meta/recipes-devtools/quilt/quilt/non-gnu.patch b/meta/recipes-devtools/quilt/quilt/non-gnu.patch
new file mode 100644
index 0000000000..c1cbfb3983
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt/non-gnu.patch
@@ -0,0 +1,223 @@
1Patch is from the Fink projetc (http://fink.sf.net)
2
3diff -r 7b51c215fc54 Makefile.in
4--- a/Makefile.in Sat Mar 4 17:16:21 2006 -0800
5+++ b/Makefile.in Sat Mar 4 17:59:09 2006 -0800
6@@ -256,7 +256,7 @@ bin/guards.1 : bin/guards
7 -e 's:@VERSION''@:$(VERSION):g' \
8 -e 's:@RELEASE''@:$(RELEASE):g' \
9 -e 's:@LOCALEDIR''@:$(localedir):g' \
10- -e 's:@DOCSUBDIR''@:$(docdir)/$(PACKAGE)-$(VERSION):g' \
11+ -e 's:@DOCSUBDIR''@:$(docdir)/$(PACKAGE):g' \
12 $< > $@
13 @$(if $(filter-out $<,$(NON_EXEC_IN)),chmod +x $@)
14
15@@ -320,11 +320,11 @@ endif
16 $(INSTALL) -d $(BUILD_ROOT)$(libdir)/$(PACKAGE)
17 $(INSTALL) -m 755 $(LIB:%=lib/%) $(BUILD_ROOT)$(libdir)/$(PACKAGE)/
18
19- $(INSTALL) -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
20+ $(INSTALL) -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
21 $(INSTALL) -m 644 doc/README \
22- $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
23+ $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
24 $(INSTALL) -m 644 doc/quilt.pdf doc/README.MAIL \
25- $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
26+ $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
27
28 $(INSTALL) -d $(BUILD_ROOT)$(mandir)/man1
29 $(INSTALL) -m 644 $(MAN1) $(BUILD_ROOT)$(mandir)/man1/
30@@ -367,7 +367,7 @@ uninstall ::
31 $(notdir $(MAN1))) \
32 $(BUILD_ROOT)$(etcdir)/bash_completion.d/quilt \
33 $(BUILD_ROOT)$(etcdir)/quilt.quiltrc \
34- $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
35+ $(BUILD_ROOT)$(docdir)/$(PACKAGE)/
36
37 check: $(TESTS:test/%.test=test/.%.ok)
38 check-all: $(TESTS:test/%.test=check-%)
39diff -r 7b51c215fc54 configure
40--- a/configure Sat Mar 4 17:16:21 2006 -0800
41+++ b/configure Sat Mar 4 17:59:09 2006 -0800
42@@ -3882,29 +3882,6 @@ echo "$as_me: error: Please specify the
43 fi
44
45
46-echo "$as_me:$LINENO: checking whether $CP -l works" >&5
47-echo $ECHO_N "checking whether $CP -l works... $ECHO_C" >&6
48-touch conftest.1
49-if $CP -l conftest.1 conftest.2 2>/dev/null; then
50- echo "$as_me:$LINENO: result: yes" >&5
51-echo "${ECHO_T}yes" >&6
52-else
53- { { echo "$as_me:$LINENO: error: no
54-
55-You appear to have a \`cp' that does not support hard links.
56-You can download GNU fileutils from ftp.gnu.org
57-" >&5
58-echo "$as_me: error: no
59-
60-You appear to have a \`cp' that does not support hard links.
61-You can download GNU fileutils from ftp.gnu.org
62-" >&2;}
63- { (exit 1); exit 1; }; }
64-fi
65-
66-
67-
68-
69
70 # Check whether --with-date or --without-date was given.
71 if test "${with_date+set}" = set; then
72@@ -3999,32 +3976,6 @@ echo "$as_me: WARNING: Using internal da
73 INTERNAL_DATE=1
74
75 fi
76-
77-
78-
79-if test -z "$INTERNAL_DATE"; then
80- echo "$as_me:$LINENO: checking whether $DATE --rfc-822 works" >&5
81-echo $ECHO_N "checking whether $DATE --rfc-822 works... $ECHO_C" >&6
82- if $DATE --rfc-822 >/dev/null 2>/dev/null; then
83- echo "$as_me:$LINENO: result: yes" >&5
84-echo "${ECHO_T}yes" >&6
85- else
86- { { echo "$as_me:$LINENO: error: no
87-
88-If you don't have a version of \`date' that supports --rfc-822, you
89-can specify '--without-date' and $PACKAGE_NAME will use its own
90-internal date.
91-" >&5
92-echo "$as_me: error: no
93-
94-If you don't have a version of \`date' that supports --rfc-822, you
95-can specify '--without-date' and $PACKAGE_NAME will use its own
96-internal date.
97-" >&2;}
98- { (exit 1); exit 1; }; }
99- fi
100-fi
101-
102
103
104
105diff -r 7b51c215fc54 quilt/diff.in
106--- a/quilt/diff.in Sat Mar 4 17:16:21 2006 -0800
107+++ b/quilt/diff.in Sat Mar 4 17:59:09 2006 -0800
108@@ -303,7 +303,7 @@ then
109
110 if [ ${#files[@]} -gt 0 ] \
111 && ! ( cd $QUILT_PC/$last_patch &&
112- cp -l --parents "${files[@]}" $workdir/ )
113+ mycpl $workdir/ "${files[@]}" )
114 then
115 printf $"Failed to copy files to temporary directory\n" >&2
116 die 1
117diff -r 7b51c215fc54 quilt/mail.in
118--- a/quilt/mail.in Sat Mar 4 17:16:21 2006 -0800
119+++ b/quilt/mail.in Sat Mar 4 17:59:09 2006 -0800
120@@ -64,7 +64,7 @@ with a template for the introduction. Pl
121
122 msgid()
123 {
124- local timestamp=$(date --utc "+%Y%m%d%H%M%S.%N")
125+ local timestamp=$(date -u "+%Y%m%d%H%M%S.000000000")
126 echo "$timestamp@${opt_sender#*@}"
127 }
128
129@@ -334,7 +334,7 @@ introduction="$(gen_tempfile)"
130 cat <<-EOF
131 Message-Id: <$(msgid)>
132 User-Agent: quilt/@VERSION@-@RELEASE@
133- Date: $(date --rfc-822)
134+ Date: $(date '+%a, %d %b %Y %H:%M:%S %z')
135 From: ${opt_from:-$opt_sender}
136 To: $(IFS=,; echo "${opt_to[*]}")
137 Cc: $(IFS=,; echo "${opt_cc[*]}")
138@@ -401,7 +401,11 @@ fi
139 # increment the timestamp by one second and wait with sending until
140 # that time has arrived. This allows MUAs to show the messages in the
141 # correct order.
142-last_ts=$(date '+%s' -d "$(sed -ne $'s/^Date:[ \t]*//p' $introduction)")
143+#last_ts=$(date '+%s' -d "$(sed -ne $'s/^Date:[ \t]*//p' $introduction)")
144+# fink has no date available that does -d, so we fudge with the time now.
145+# If the user edits the date field in the message patch 0 could end up
146+# out of order wrt the actual patches. just a minor cosmetic nit.
147+last_ts=$(date '+%s')
148
149 num=1
150 for patch in "${patches[@]}"; do
151@@ -412,7 +416,7 @@ for patch in "${patches[@]}"; do
152 # sleep 1
153 #done
154 ((last_ts++))
155- new_date="$(date --rfc-822 -d "1970/01/01 UTC $last_ts seconds")"
156+ new_date="$(date -r $last_ts '+%a, %d %b %Y %H:%M:%S %z')"
157
158 modify="$(awk '
159 sub(/^Recipient-/, "") { r = $0
160diff -r 7b51c215fc54 quilt/pop.in
161--- a/quilt/pop.in Sat Mar 4 17:16:21 2006 -0800
162+++ b/quilt/pop.in Sat Mar 4 17:59:09 2006 -0800
163@@ -93,7 +93,7 @@ check_for_pending_changes()
164 if [ -d $QUILT_PC/$patch ]
165 then
166 if ! rmdir $workdir || # note that this is racey...
167- ! cp -rl $QUILT_PC/$patch $workdir
168+ ! (for i in "$(find "$QUILT_PC/$patch" -type f)"; do mycpl $workdir $i; done)
169 then
170 printf $"Failed to copy files to temporary directory\n" >&2
171 rm -rf $workdir
172diff -r 7b51c215fc54 quilt/scripts/patchfns.in
173--- a/quilt/scripts/patchfns.in Sat Mar 4 17:16:21 2006 -0800
174+++ b/quilt/scripts/patchfns.in Sat Mar 4 17:59:09 2006 -0800
175@@ -45,6 +45,28 @@ fi
176 fi
177
178 # ========================================================
179+
180+dater()
181+{
182+ ts=$(perl -e '@st = stat($ARGV[0]); print $st[9];' "$1")
183+ fmt=$(date -r $ts "$2")
184+
185+ echo $fmt
186+}
187+
188+mycpl ()
189+{
190+ target=$1
191+ shift;
192+
193+ for src in "$@"
194+ do
195+ srcdir="${src%/*}"
196+ test -n "$srcdir" && mkdir -p "$target/$srcdir"
197+ ln $src "$target/$src"
198+ done
199+}
200+
201
202 #declare -a exit_handlers
203 #
204@@ -669,8 +691,7 @@ diff_file()
205 || old_date=$'\t'"1970-01-01 00:00:00.000000000 +0000"
206 else
207 [ -n "$QUILT_NO_DIFF_TIMESTAMPS" ] \
208- || old_date=$'\t'$(date +'%Y-%m-%d %H:%M:%S.%N %z' \
209- -r "$old_file")
210+ || old_date=$'\t'$(dater "$old_file" +'%Y-%m-%d %H:%M:%S.000000000 %z')
211 fi
212 if ! [ -s "$new_file" ]
213 then
214@@ -682,8 +703,7 @@ diff_file()
215 || new_date=$'\t'"1970-01-01 00:00:00.000000000 +0000"
216 else
217 [ -n "$QUILT_NO_DIFF_TIMESTAMPS" ] \
218- || new_date=$'\t'$(date +'%Y-%m-%d %H:%M:%S.%N %z' \
219- -r "$new_file")
220+ || new_date=$'\t'$(dater "$new_file" +'%Y-%m-%d %H:%M:%S.000000000 %z')
221 fi
222
223 diff $QUILT_DIFF_OPTS $old_file $new_file \
diff --git a/meta/recipes-devtools/quilt/quilt_0.48.bb b/meta/recipes-devtools/quilt/quilt_0.48.bb
new file mode 100644
index 0000000000..5db67b24a1
--- /dev/null
+++ b/meta/recipes-devtools/quilt/quilt_0.48.bb
@@ -0,0 +1,7 @@
1require quilt.inc
2
3RDEPENDS_${PN} += "patch diffstat bzip2 util-linux"
4PR = "r0"
5SRC_URI += "file://aclocal.patch"
6
7inherit gettext